//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    public partial class Tb_Highestqual
    {
      

        public int Id { get; set; }

        public Nullable<int> EnquiryId { get; set; }

        [Display(Name = "Sr.No.")]
       
        public Nullable<int> SrNo { get; set; }
        [Display(Name = "Qualification")]
        [StringLength(50)]
        [Required(ErrorMessage = "Qualification is required")]
        public string Qualification { get; set; }

        [RegularExpression(@"\d{4}$",ErrorMessage="Invalid")]
        [Display(Name = "Year Of Passing")]
        
        public string YearOfPassing { get; set; }

        [Display(Name = "%age")]
        public Nullable<double> CGPA { get; set; }


        
        [StringLength(30)]
        public string Board { get; set; }
        public Nullable<bool> _status;
        public bool Status
        {
            get
            {
                if (_status == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }

            }
            set
            {
                _status = value;

            }
        }
        [DataType(DataType.Date)]
        public Nullable<System.DateTime> Cdate { get; set; }


        public bool GoToAdm { get; set; }
        public string PassingYear { get; set; }

        public virtual MaEnquiry MaEnquiry { get; set; }
    }
}
